import request from '@/utils/request'

// 查询问卷模板列表
export function listQuestionnairetemplate(query) {
  return request({
    url: '/rc/questionnairetemplate/list',
    method: 'get',
    params: query
  })
}

// 查询问卷模板详细
export function getQuestionnairetemplate(id) {
  return request({
    url: '/rc/questionnairetemplate/' + id,
    method: 'get'
  })
}

// 新增问卷模板
export function addQuestionnairetemplate(data) {
  return request({
    url: '/rc/questionnairetemplate',
    method: 'post',
    data: data
  })
}

// 修改问卷模板
export function updateQuestionnairetemplate(data) {
  return request({
    url: '/rc/questionnairetemplate',
    method: 'put',
    data: data
  })
}

// 删除问卷模板
export function delQuestionnairetemplate(id) {
  return request({
    url: '/rc/questionnairetemplate/' + id,
    method: 'delete'
  })
}
